//
// Author: Ian Reinhart Geiser <geiseri@kde.org>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef EMBEDVIEWIMP_H
#define EMBEDVIEWIMP_H

#include "embedview.h"
namespace KJSEmbed {
    class KJSEmbedPart;
}

class EmbedViewImp: public EmbedView {
    Q_OBJECT

public:
    EmbedViewImp( QWidget *parent = 0, const char *name = 0 );

    bool runScript( const QString &file );

public slots:
    virtual void cancelClicked();
    virtual void okClicked();
    virtual void consoleClicked();

    QVariant someValue() const;
    void setSomeValue( const QVariant &var );
private:
    KJSEmbed::KJSEmbedPart *m_part;
};

#endif
